summaryrefslogtreecommitdiffstats
path: root/test/csit/plans/appc/healthcheck_amsterdam/health_check.sh
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2018-01-16 01:03:51 +0000
committerGerrit Code Review <gerrit@onap.org>2018-01-16 01:03:51 +0000
commit2e11bbcbfcb5e7fa53a42e451fec7691a7690435 (patch)
tree587b2c0644d6298a823a8afc9b08460bda9a9880 /test/csit/plans/appc/healthcheck_amsterdam/health_check.sh
parent34e62ce1b4b22fa238b85755b452426956dbf224 (diff)
parent918421d8d0bc97be6c9315cceff7563169250509 (diff)
Merge "Updating APPC CSIT release support"
Diffstat (limited to 'test/csit/plans/appc/healthcheck_amsterdam/health_check.sh')
-rwxr-xr-xtest/csit/plans/appc/healthcheck_amsterdam/health_check.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/csit/plans/appc/healthcheck_amsterdam/health_check.sh b/test/csit/plans/appc/healthcheck_amsterdam/health_check.sh
new file mode 100755
index 000000000..63e0b17aa
--- /dev/null
+++ b/test/csit/plans/appc/healthcheck_amsterdam/health_check.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###############################################################################
+SCRIPTS="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo $SCRIPTS
+
+response=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-appc" -H "X-TransactionId: csit-appc" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8282/restconf/operations/SLI-API:healthcheck )
+
+if [ "$response" == "200" ]; then
+ echo "APPC health check passed."
+ exit 0;
+fi
+
+echo "APPC health check failed with response code ${response}."
+exit 1